Get issue

GET
/api/v1/issues/{code}

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Path parameters

code*string

Response body

IssueDetail

application/json
  1. response
id*string
code*string
number*integer
projectId*string
title*string
state*
priority*|UnsupportedMember_2
dueAt*string|null
parentId*string|null
visibility*|UnsupportedMember_3
assignees*array<>
labels*array<>
subIssueCount*integer
closedSubIssueCount*integer
openBlockerCount*integer

Open issues the key can read that block this one.

createdAt*string
updatedAt*string
closedAt*string|null
description*string

Markdown. An embedded file appears as capy-file:<fileId>, one of files.

creator*|null
parent*|null
subIssues*array<>
pullRequests*array<>
threads*array<>
files*array<>
curl -X GET 'https://api.capy.ai/api/v1/issues/string'
{  "id": "string",  "code": "string",  "number": 0,  "projectId": "string",  "title": "string",  "state": {    "id": "string",    "name": "string",    "type": "open"  },  "priority": "urgent",  "dueAt": "string",  "parentId": "string",  "visibility": "org",  "assignees": [    {      "kind": "user",      "id": "string",      "code": "string"    }  ],  "labels": [    {      "id": "string",      "name": "string"    }  ],  "subIssueCount": 0,  "closedSubIssueCount": 0,  "openBlockerCount": 0,  "createdAt": "string",  "updatedAt": "string",  "closedAt": "string",  "description": "string",  "creator": {    "kind": "user",    "id": "string",    "code": "string"  },  "parent": {    "id": "string",    "code": "string",    "number": 0,    "projectId": "string",    "title": "string",    "state": {      "id": "string",      "name": "string",      "type": "open"    },    "priority": "urgent",    "dueAt": "string",    "parentId": "string",    "visibility": "org",    "assignees": [      {        "kind": "user",        "id": "string",        "code": "string"      }    ],    "labels": [      {        "id": "string",        "name": "string"      }    ],    "subIssueCount": 0,    "closedSubIssueCount": 0,    "openBlockerCount": 0,    "createdAt": "string",    "updatedAt": "string",    "closedAt": "string"  },  "subIssues": [    {      "id": "string",      "code": "string",      "number": 0,      "projectId": "string",      "title": "string",      "state": {        "id": "string",        "name": "string",        "type": "open"      },      "priority": "urgent",      "dueAt": "string",      "parentId": "string",      "visibility": "org",      "assignees": [        {          "kind": "user",          "id": "string",          "code": "string"        }      ],      "labels": [        {          "id": "string",          "name": "string"        }      ],      "subIssueCount": 0,      "closedSubIssueCount": 0,      "openBlockerCount": 0,      "createdAt": "string",      "updatedAt": "string",      "closedAt": "string"    }  ],  "pullRequests": [    {      "repoFullName": "string",      "number": 0,      "state": "open"    }  ],  "threads": [    {      "id": "string",      "code": "string"    }  ],  "files": [    {      "id": "string",      "name": "string",      "mediaType": "string",      "sizeBytes": 0,      "commentId": "string"    }  ]}
Open in Capy